<?php
include_once('data.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />
<title>Autocomplete</title>
<link href="/autocomplete/autocomplete.css" rel="stylesheet" type="text/css" />
<script src="/autocomplete/autocomplete.js" type="text/javascript"></script>
<style>
#dataTable {
  border-collapse: collapse;
}
#dataTable, th, td {
  border: 1px solid black;
  padding: 5px;
}
#choosed {
  margin-left: 30px;
  border: 1px solid #aaa;
  width: 400px;
  padding: 5px;
}
</style>
</head>
<body>
Suche dropdown: <input type="text" id="testDropdown" class="input" /><br/>
<hr/>
Suche dropdown (delOnClick): <input type="text" id="testDropdownDel" class="input" /><br/>
<hr/>
Suche dropdown + Select: <input type="text" id="testSelect" class="input" /><br/><br/>
Ausgew&auml;hlt:<br/><div id="choosed">---</div>
<hr/>
Test: <select id="testSel" size="1">
<option value="1">Ein</option>
<option value="2">Zwei</option>
<option value="3">Drei</option>
<option value="4">Vier</option>
<option value="5">Fünf</option>
</select>
Suche in Tabelle: <input type="text" id="testTable" class="input" /><br/><br/>
<table id="dataTable">
  <thead>
    <tr>
      <th>Komponist</th>
      <th>Geboren</th>
      <th>Gestorben</th>
    </tr>
  </thead>
  <tbody>
<?php
foreach($data as $row)
{
  print "<tr>\n";
  printf("<td>%s</td>\n<td>%s</td>\n<td>%s</td>\n",
      $row[0], $row[1], $row[2]);
  print "</tr>\n";
}
?>
  </tbody>
</table>
<script type="text/javascript">
Autocomplete.set({
  elementID     : 'testDropdown',
  ajaxURL       : '/autotest/test.php',
  searchKey     : 'search',
  ajaxParams    : {'return' : 'json', 'test' : function() {return 'A'; }},
  minLength     : 2,
  scrollAfter   : 5
});
Autocomplete.set({
  elementID     : 'testDropdownDel',
  ajaxURL       : '/autotest/test.php',
  searchKey     : 'search',
  ajaxParams    : {'return' : 'json'},
  minLength     : 2,
  deleteOnClick : true,
  onKey         : {9 : {
                       'close' : true,
                       'func' : function(curValue, curSelectedItem){
                                  alert(curValue);
                                }
                       }}
});
Autocomplete.set({
  elementID     : 'testSelect',
  ajaxURL       : '/autotest/test.php',
  searchKey     : 'search',
  ajaxParams    : {'return' : 'json', 'fulldata' : true},
  minLength     : 2,
  jsParams      : 'TEST',
  onSelect      : function(value, userData) { document.getElementById('choosed').innerHTML = Autocomplete.getExtraJSParams('testSelect') + ': ' + value + ' (' + userData['born'] + ' - ' + userData['dead'] + ')'; },
  lineParser    : function(value) { return {'value' : value[0], 'born' : value[1], 'dead' : value[2]} },
  onKey         : {9 : {
                        'close' : true,
                        'func' : function(curValue, curSelectedItem, userData) {
                                   document.getElementById('choosed').innerHTML = getExtraJSParams('testSelect') + ': ' + curValue + ' (' + userData['born'] + ' - ' + userData['dead'] + ')';
                                 }
                       }}
});
Autocomplete.set({
  elementID     : 'testTable',
  ajaxURL       : '/autotest/test.php',
  searchKey     : 'search',
  ajaxParams    : {'return' : 'table', 'test' : function() {return document.getElementById('testSel').value; }},
  cbFunction    : function(result, status, params) {
                    if(status == 200)
                      document.getElementById(params[0]).getElementsByTagName('tbody')[0].innerHTML = result;
                  },
  cbParams      : new Array('dataTable')
});
Autocomplete.set({
  elementID     : 'testTableXXX',
  ajaxURL       : '/autotest/test.php',
  searchKey     : 'search',
  ajaxParams    : {'return' : 'table', 'test' : function() {return document.getElementById('testSel').value; }},
  cbFunction    : function(result, status, params) {
                    if(status == 200)
                      document.getElementById(params[0]).getElementsByTagName('tbody')[0].innerHTML = result;
                  },
  cbParams      : new Array('dataTable')
});
</script>
<ul>
<li>AAA</li>
<li>BBB</li>
<li>CCC</li>
</ul>
</body>
</html>